<?php
/**
 * Plugin Name:       Product FAQ's For WooCommerce
 * Plugin URI:        https://burhandodhy.me/woo-produts-faqs
 * Description:       Add FAQ's options for the WooCommerce Products.
 * Version:           1.1.2
 * Stable Tag:        1.1.2
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            Burhan Nasir
 * Author URI:        https://burhandodhy.me
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       woo-product-faqs
 * Domain Path:       /languages
 */

/**
 * Main Class.
 */
class WOO_PRODUCT_FAQS {

	/**
	 * Hold class object.
	 *
	 *  @var Object
	 */
	protected static $instance = null;

	/**
	 * Hold admin class object.
	 *
	 *  @var Object
	 */
	public $admin = null;

	/**
	 * Hold front class object.
	 *
	 * @var Object
	 */
	public $front = null;

	/**
	 * Constructor of class.
	 */
	public function __construct() {
		$this->define_constants();
		$this->load_files();
		$this->admin = new WOO_PRODUCT_FAQS_ADMIN();
		$this->front = new WOO_PRODUCT_FAQS_FRONT();

	}

	/**
	 * Return class instance.
	 *
	 * @return WOO_PRODUCT_FAQS instance
	 */
	public static function instance() {

		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;

	}

	/**
	 * Load all required files.
	 *
	 * @return void
	 */
	protected function load_files() {

		require_once WPF_DIR_PATH . '/classes/class-woo-product-faqs-admin.php';
		require_once WPF_DIR_PATH . '/classes/class-woo-product-faqs-front.php';

	}

	/**
	 * Define all constants.
	 *
	 * @return void
	 */
	protected function define_constants() {

		define( 'WPF_VERSION', '1.1.2' );
		define( 'WPF_DIR_PATH', plugin_dir_path( __FILE__ ) );
		define( 'WPF_DIR_URL', plugin_dir_url( __FILE__ ) );

	}

}

WOO_PRODUCT_FAQS::instance();
